<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>e03 documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	   <link rel="stylesheet" href="../styles/style.css">
        <link rel="stylesheet" href="../styles/dark.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">e03 documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content module">
                   <div class="content-data">



<ol class="breadcrumb">
    <li>Modules</li>
    <li >AppModule</li>
</ol>

<div class="text-center module-graph-container">
    <div id="module-graph-svg">
        <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 5.0.0 (20220707.1540)
 -->
<!-- Title: dependencies Pages: 1 -->
<svg width="1539pt" height="247pt"
 viewBox="0.00 0.00 1539.00 246.80" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 242.8)">
<title>dependencies</title>
<polygon fill="white" stroke="transparent" points="-4,4 -4,-242.8 1535,-242.8 1535,4 -4,4"/>
<text text-anchor="middle" x="765.5" y="-8.2" font-family="sans-serif" font-size="14.00">dependencies</text>
<g id="clust1" class="cluster">
<title>cluster_AppModule</title>
<polygon fill="none" stroke="black" stroke-dasharray="1,5" points="8,-32.8 8,-230.8 1523,-230.8 1523,-32.8 8,-32.8"/>
</g>
<g id="clust12" class="cluster">
<title>cluster_AppModule_imports</title>
<polygon fill="none" stroke="black" points="1371,-40.8 1371,-92.8 1515,-92.8 1515,-40.8 1371,-40.8"/>
</g>
<g id="clust14" class="cluster">
<title>cluster_AppModule_bootstrap</title>
<polygon fill="none" stroke="black" points="714,-170.8 714,-222.8 838,-222.8 838,-170.8 714,-170.8"/>
</g>
<g id="clust2" class="cluster">
<title>cluster_AppModule_declarations</title>
<polygon fill="none" stroke="black" points="16,-40.8 16,-92.8 1363,-92.8 1363,-40.8 16,-40.8"/>
</g>
<!-- AppComponent -->
<g id="node1" class="node">
<title>AppComponent</title>
<polygon fill="#ffffb3" stroke="black" points="1354.94,-84.8 1249.06,-84.8 1249.06,-48.8 1354.94,-48.8 1354.94,-84.8"/>
<text text-anchor="middle" x="1302" y="-62.6" font-family="Times,serif" font-size="14.00">AppComponent</text>
</g>
<!-- AppModule -->
<g id="node10" class="node">
<title>AppModule</title>
<polygon fill="#8dd3c7" stroke="black" points="817.66,-149.8 814.66,-153.8 793.66,-153.8 790.66,-149.8 734.34,-149.8 734.34,-113.8 817.66,-113.8 817.66,-149.8"/>
<text text-anchor="middle" x="776" y="-127.6" font-family="Times,serif" font-size="14.00">AppModule</text>
</g>
<!-- AppComponent&#45;&gt;AppModule -->
<g id="edge1" class="edge">
<title>AppComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M1302,-84.93C1302,-105.37 1302,-135.8 1302,-135.8 1302,-135.8 827.71,-135.8 827.71,-135.8"/>
<polygon fill="black" stroke="black" points="827.71,-132.3 817.71,-135.8 827.71,-139.3 827.71,-132.3"/>
</g>
<!-- ConnexionComponent -->
<g id="node2" class="node">
<title>ConnexionComponent</title>
<polygon fill="#ffffb3" stroke="black" points="1231.27,-84.8 1088.73,-84.8 1088.73,-48.8 1231.27,-48.8 1231.27,-84.8"/>
<text text-anchor="middle" x="1160" y="-62.6" font-family="Times,serif" font-size="14.00">ConnexionComponent</text>
</g>
<!-- ConnexionComponent&#45;&gt;AppModule -->
<g id="edge2" class="edge">
<title>ConnexionComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M1160,-85.07C1160,-103.36 1160,-128.8 1160,-128.8 1160,-128.8 827.83,-128.8 827.83,-128.8"/>
<polygon fill="black" stroke="black" points="827.83,-125.3 817.83,-128.8 827.83,-132.3 827.83,-125.3"/>
</g>
<!-- JeuCreerComponent -->
<g id="node3" class="node">
<title>JeuCreerComponent</title>
<polygon fill="#ffffb3" stroke="black" points="1070.58,-84.8 939.42,-84.8 939.42,-48.8 1070.58,-48.8 1070.58,-84.8"/>
<text text-anchor="middle" x="1005" y="-62.6" font-family="Times,serif" font-size="14.00">JeuCreerComponent</text>
</g>
<!-- JeuCreerComponent&#45;&gt;AppModule -->
<g id="edge3" class="edge">
<title>JeuCreerComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M1005,-84.81C1005,-100.85 1005,-121.8 1005,-121.8 1005,-121.8 827.74,-121.8 827.74,-121.8"/>
<polygon fill="black" stroke="black" points="827.74,-118.3 817.74,-121.8 827.74,-125.3 827.74,-118.3"/>
</g>
<!-- JeuDetailsComponent -->
<g id="node4" class="node">
<title>JeuDetailsComponent</title>
<polygon fill="#ffffb3" stroke="black" points="921.65,-84.8 782.35,-84.8 782.35,-48.8 921.65,-48.8 921.65,-84.8"/>
<text text-anchor="middle" x="852" y="-62.6" font-family="Times,serif" font-size="14.00">JeuDetailsComponent</text>
</g>
<!-- JeuDetailsComponent&#45;&gt;AppModule -->
<g id="edge4" class="edge">
<title>JeuDetailsComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M800,-84.91C800,-84.91 800,-103.79 800,-103.79"/>
<polygon fill="black" stroke="black" points="796.5,-103.79 800,-113.79 803.5,-103.79 796.5,-103.79"/>
</g>
<!-- JeuItemComponent -->
<g id="node5" class="node">
<title>JeuItemComponent</title>
<polygon fill="#ffffb3" stroke="black" points="763.65,-84.8 638.35,-84.8 638.35,-48.8 763.65,-48.8 763.65,-84.8"/>
<text text-anchor="middle" x="701" y="-62.6" font-family="Times,serif" font-size="14.00">JeuItemComponent</text>
</g>
<!-- JeuItemComponent&#45;&gt;AppModule -->
<g id="edge5" class="edge">
<title>JeuItemComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M749,-84.91C749,-84.91 749,-103.79 749,-103.79"/>
<polygon fill="black" stroke="black" points="745.5,-103.79 749,-113.79 752.5,-103.79 745.5,-103.79"/>
</g>
<!-- JeuListeComponent -->
<g id="node6" class="node">
<title>JeuListeComponent</title>
<polygon fill="#ffffb3" stroke="black" points="619.99,-84.8 492.01,-84.8 492.01,-48.8 619.99,-48.8 619.99,-84.8"/>
<text text-anchor="middle" x="556" y="-62.6" font-family="Times,serif" font-size="14.00">JeuListeComponent</text>
</g>
<!-- JeuListeComponent&#45;&gt;AppModule -->
<g id="edge6" class="edge">
<title>JeuListeComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M556,-84.81C556,-100.85 556,-121.8 556,-121.8 556,-121.8 724.1,-121.8 724.1,-121.8"/>
<polygon fill="black" stroke="black" points="724.1,-125.3 734.1,-121.8 724.1,-118.3 724.1,-125.3"/>
</g>
<!-- JeuModifierComponent -->
<g id="node7" class="node">
<title>JeuModifierComponent</title>
<polygon fill="#ffffb3" stroke="black" points="473.76,-84.8 324.24,-84.8 324.24,-48.8 473.76,-48.8 473.76,-84.8"/>
<text text-anchor="middle" x="399" y="-62.6" font-family="Times,serif" font-size="14.00">JeuModifierComponent</text>
</g>
<!-- JeuModifierComponent&#45;&gt;AppModule -->
<g id="edge7" class="edge">
<title>JeuModifierComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M399,-85.07C399,-103.36 399,-128.8 399,-128.8 399,-128.8 724.21,-128.8 724.21,-128.8"/>
<polygon fill="black" stroke="black" points="724.21,-132.3 734.21,-128.8 724.21,-125.3 724.21,-132.3"/>
</g>
<!-- NavComponent -->
<g id="node8" class="node">
<title>NavComponent</title>
<polygon fill="#ffffb3" stroke="black" points="306.16,-84.8 201.84,-84.8 201.84,-48.8 306.16,-48.8 306.16,-84.8"/>
<text text-anchor="middle" x="254" y="-62.6" font-family="Times,serif" font-size="14.00">NavComponent</text>
</g>
<!-- NavComponent&#45;&gt;AppModule -->
<g id="edge8" class="edge">
<title>NavComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M254,-84.93C254,-105.37 254,-135.8 254,-135.8 254,-135.8 724.16,-135.8 724.16,-135.8"/>
<polygon fill="black" stroke="black" points="724.16,-139.3 734.16,-135.8 724.16,-132.3 724.16,-139.3"/>
</g>
<!-- StreamerListeComponent -->
<g id="node9" class="node">
<title>StreamerListeComponent</title>
<polygon fill="#ffffb3" stroke="black" points="183.86,-84.8 24.14,-84.8 24.14,-48.8 183.86,-48.8 183.86,-84.8"/>
<text text-anchor="middle" x="104" y="-62.6" font-family="Times,serif" font-size="14.00">StreamerListeComponent</text>
</g>
<!-- StreamerListeComponent&#45;&gt;AppModule -->
<g id="edge9" class="edge">
<title>StreamerListeComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M104,-84.81C104,-107.29 104,-142.8 104,-142.8 104,-142.8 724.22,-142.8 724.22,-142.8"/>
<polygon fill="black" stroke="black" points="724.22,-146.3 734.22,-142.8 724.22,-139.3 724.22,-146.3"/>
</g>
<!-- AppComponent  -->
<g id="node12" class="node">
<title>AppComponent </title>
<polygon fill="#80b1d3" stroke="black" points="830.44,-214.8 721.56,-214.8 721.56,-178.8 830.44,-178.8 830.44,-214.8"/>
<text text-anchor="middle" x="776" y="-192.6" font-family="Times,serif" font-size="14.00">AppComponent </text>
</g>
<!-- AppModule&#45;&gt;AppComponent  -->
<g id="edge11" class="edge">
<title>AppModule&#45;&gt;AppComponent </title>
<path fill="none" stroke="black" stroke-dasharray="1,5" d="M776,-149.91C776,-149.91 776,-168.79 776,-168.79"/>
<polygon fill="black" stroke="black" points="772.5,-168.79 776,-178.79 779.5,-168.79 772.5,-168.79"/>
</g>
<!-- AppRoutingModule -->
<g id="node11" class="node">
<title>AppRoutingModule</title>
<polygon fill="#8dd3c7" stroke="black" points="1507.28,-84.8 1504.28,-88.8 1483.28,-88.8 1480.28,-84.8 1378.72,-84.8 1378.72,-48.8 1507.28,-48.8 1507.28,-84.8"/>
<text text-anchor="middle" x="1443" y="-62.6" font-family="Times,serif" font-size="14.00">AppRoutingModule</text>
</g>
<!-- AppRoutingModule&#45;&gt;AppModule -->
<g id="edge10" class="edge">
<title>AppRoutingModule&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M1443,-84.81C1443,-107.29 1443,-142.8 1443,-142.8 1443,-142.8 827.72,-142.8 827.72,-142.8"/>
<polygon fill="black" stroke="black" points="827.72,-139.3 817.72,-142.8 827.72,-146.3 827.72,-139.3"/>
</g>
</g>
</svg>

    </div>
    <i id="fullscreen" class="icon ion-ios-resize module-graph-fullscreen-btn" aria-hidden="true"></i>
    <div class="btn-group size-buttons">
        <button id="zoom-in" class="btn btn-default btn-sm">Zoom in</button>
        <button id="reset" class="btn btn-default btn-sm">Reset</button>
        <button id="zoom-out" class="btn btn-default btn-sm">Zoom out</button>
    </div>
</div>
<script src="../js/libs/svg-pan-zoom.min.js"></script>
<script src="../js/svg-pan-zoom.controls.js"></script>

<ul class="nav nav-tabs" role="tablist">
    <li  class="active" >
        <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
    </li>
    <li >
        <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
    </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info">

        <p class="comment">
            <h3>File</h3>
        </p>
        <p class="comment">
            <code>src/app/app.module.ts</code>
        </p>





        <div class="container-fluid module">
            <div class="row">
                <div class="col-sm-3">
                    <h3>Declarations<a href="https://angular.io/api/core/NgModule#declarations" target="_blank"
                            title="Official documentation about module declarations"><span class="icon ion-ios-information-circle-outline"></span></a></h3>
                    <ul class="list-group">
                        <li class="list-group-item">
                            <a href="../components/AppComponent.html">AppComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/ConnexionComponent.html">ConnexionComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/JeuCreerComponent.html">JeuCreerComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/JeuDetailsComponent.html">JeuDetailsComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/JeuItemComponent.html">JeuItemComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/JeuListeComponent.html">JeuListeComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/JeuModifierComponent.html">JeuModifierComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/NavComponent.html">NavComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/StreamerListeComponent.html">StreamerListeComponent</a>
                        </li>
                    </ul>
                </div>
                <div class="col-sm-3">
                    <h3>Imports<a href="https://angular.io/api/core/NgModule#imports" target="_blank" title="Official documentation about module imports"><span
                                class="icon ion-ios-information-circle-outline"></a></h3>
                    <ul class="list-group">
                        <li class="list-group-item">
                            <a href="../modules/AppRoutingModule.html">AppRoutingModule</a>
                        </li>
                    </ul>
                </div>
                <div class="col-sm-3">
                    <h3>Bootstrap<a href="https://angular.io/api/core/NgModule#bootstrap" target="_blank"
                            title="Official documentation about module bootstrap"><span class="icon ion-ios-information-circle-outline"></a></h3>
                    <ul class="list-group">
                        <li class="list-group-item">
                            <a href="../components/AppComponent.html">AppComponent</a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>


    </div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { NgModule } from &#x27;@angular/core&#x27;;
import { BrowserModule } from &#x27;@angular/platform-browser&#x27;;

import { AppRoutingModule } from &#x27;./app-routing.module&#x27;;
import { AppComponent } from &#x27;./app.component&#x27;;
import { JeuListeComponent } from &#x27;./jeu-liste/jeu-liste.component&#x27;;
import { StreamerListeComponent } from &#x27;./streamer-liste/streamer-liste.component&#x27;;
import { JeuItemComponent } from &#x27;./jeux/jeu-item/jeu-item.component&#x27;;
import { JeuDetailsComponent } from &#x27;./jeux/jeu-details/jeu-details.component&#x27;;
import {HttpClientInMemoryWebApiModule} from &quot;angular-in-memory-web-api&quot;;
import {BdEnMemoireService} from &quot;./core/services/bd-en-memoire.service&quot;;
import {HttpClientModule} from &quot;@angular/common/http&quot;;
import { JeuCreerComponent } from &#x27;./jeux/jeu-creer/jeu-creer.component&#x27;;
import {ReactiveFormsModule} from &quot;@angular/forms&quot;;
import { JeuModifierComponent } from &#x27;./jeux/jeu-modifier/jeu-modifier.component&#x27;;
import { ConnexionComponent } from &#x27;./auth/connexion/connexion.component&#x27;;
import {OAuthModule} from &quot;angular-oauth2-oidc&quot;;
import { NavComponent } from &#x27;./layout/nav/nav.component&#x27;;

@NgModule({
  declarations: [
    AppComponent,
    JeuListeComponent,
    StreamerListeComponent,
    JeuItemComponent,
    JeuDetailsComponent,
    JeuCreerComponent,
    JeuModifierComponent,
    ConnexionComponent,
    NavComponent
  ],
  imports: [
    HttpClientModule,
    BrowserModule,
    AppRoutingModule,
    ReactiveFormsModule,
    OAuthModule.forRoot(),
    HttpClientInMemoryWebApiModule.forRoot(
      BdEnMemoireService, {
        dataEncapsulation: false,
        passThruUnknownUrl: true
      }
    )
  ],
  providers: [],
  bootstrap: [AppComponent]
})
export class AppModule { }
</code></pre>
    </div>
</div>

















                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> results matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

          <label class="dark-mode-switch">
               <input type="checkbox">
               <span class="slider">
                    <svg class="slider-icon" viewBox="0 0 24 24" fill="none" height="20" stroke="#000" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" width="20" xmlns="http://www.w3.org/2000/svg">
                    <path d="M21 12.79A9 9 0 1111.21 3 7 7 0 0021 12.79z"></path>
                    </svg>
               </span>
          </label>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'module';
            var COMPODOC_CURRENT_PAGE_URL = 'AppModule.html';
            var MAX_SEARCH_RESULTS = 15;
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>

       <script src="../js/menu-wc.js" defer></script>
       <script nomodule src="../js/menu-wc_es5.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
